Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GetStatementResult

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GetStatementResult

public class GetStatementResult extends GenericResult

Java class for GetStatementResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetStatementResult">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericResult">
           <sequence>
             <element name="statements" type="{http://uws.provider.com/}TransactionStatement" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<TransactionStatement>`
  `statements`

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `errorMsg, status, timeStamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStatementResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TransactionStatement>`
  `getStatements()`
  Gets the value of the statements property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `getErrorMsg, getStatus, getTimeStamp, setErrorMsg, setStatus, setTimeStamp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### statements

    protected List<TransactionStatement> statements

- ## Constructor Details

  - ### GetStatementResult

    public GetStatementResult()

- ## Method Details

  - ### getStatements

    public List<TransactionStatement> getStatements()
    Gets the value of the statements property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the statements property.

    For example, to add a new item, do as follows:

            getStatements().add(newItem);

    Objects of the following type(s) are allowed in the list `TransactionStatement`